<?php
/*-----------------------------------------------------------------------------------*/
/*      Copyright (c) SAIWEB Developement                                            */
/*		email : developper@saiweb.fr                                                 */
/*      web : http://www.saiweb.fr                                                   */
/*-----------------------------------------------------------------------------------*/
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/

include_once(realpath(dirname(__FILE__))."/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__))."/../../../classes/Modulesdesc.class.php");
class Archivage extends PluginsClassiques{
	public $archi_id;
	public $archi_dossier;
	public $table = "archivage";
	public $bddvars = array("archi_id", "archi_dossier");
	public $nom ="archivage";
	public $titre = "Plugin Archivage";
	public $chapo = "Formulaire de archivage";
	public $description = "Formulaire de archivage et dossier  configurer dans le Back office";

	public function __construct(){
		parent::__construct();
		$this->ajout_desc($this->titre, $this->chapo, $this->description);
	}
	public function init(){
		$cnx = new Cnx();
		$arr = mysql_fetch_array(mysql_query("SHOW TABLES LIKE '".$this->table."'",$cnx->link));	
		if ($arr[0] != $this->table){
			$resultat = mysql_query("CREATE TABLE IF NOT EXISTS ".$this->table." (
								archi_id int(11) NOT NULL auto_increment,
								archi_dossier varchar(255) NOT NULL,
								PRIMARY KEY  (archi_id))
								ENGINE=MyISAM;
								",$cnx->link);
			$resultat = mysql_query("INSERT INTO ".$this->table." (archi_id, archi_dossier) VALUES(null,'dossier_a_archiver')",$cnx->link);
		}
	}
	public function destroy(){
		$cnx = new Cnx();
		$arr = mysql_fetch_array(mysql_query("SHOW TABLES LIKE '".$this->table."'",$cnx->link));	
		if ($arr[0] == $this->table) $resultat = mysql_query("DROP TABLE ".$this->table." ",$cnx->link);
	}
	public function ajout_desc($titre, $chapo, $description, $lang=1, $devise=""){
		$modulesdesc = new Modulesdesc();
		$res = $modulesdesc->verif($this->nom_plugin, $lang);
		$modulesdesc->plugin = $this->nom_plugin;
		$modulesdesc->titre = $titre;
		$modulesdesc->chapo = $chapo;
		$modulesdesc->description = $description;
		$modulesdesc->lang = $lang;
		$modulesdesc->devise = $devise;
		if($res) $modulesdesc->maj();
		else $modulesdesc->add();
	}
	public function charger($id){
		return $this->getVars("select * from $this->table where archi_id='".$id."'");		
	}
	public function boucle($texte, $arg){
		$archi_id = lireTag($arg,"archi_id");
		$search="";
		$res="";
		if($ref!="") $search.="and archi_id='".$archi_id."'";
		$archivage = new Archivage();
		$query="SELECT * FROM ".$this->table." where 1 ".$search;
		$resultat = mysql_query($query,$archivage->link);
		if($compteur = mysql_num_rows($resultat)){
			while($row=mysql_fetch_object($resultat)){
				$temp = str_replace("#DOSSIER","$row->archi_dossier",$temp);
				$res .= $temp;
			}
			return $res;
		}else{
			return "";
		}		
	}	
	public function action(){
		$archivage = new Archivage();
		switch($action){
			case "modifier":
				$archivage->charger($archi_id);				
				$archivage->archi_dossier = $archi_dossier;
				$archivage->maj();
				$cache = new Cache();
				$cache->vider("ARCHIVAGE","%");
			break;				
		}
	}	
}
?>